Skip to navigation

Deploy Scoped Factory Job

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

factory_idstringRequired
namestringRequired

Headers

X-Islo-Api-VersionstringRequired

Request

This endpoint expects an object.
manifestobjectRequired

Job manifest (authored as TOML or JSON, stored as JSON)

Response

Successful Response
content_hashstring
deployed_atdatetime
idstringformat: "uuid"
manifestobject

Full job.toml manifest (TOML or JSON authoring; stored as JSON).

version_numberinteger

Errors

422
Unprocessable Entity Error